Get Workspace by ID
curl --request GET \
--url https://api.bron.org/workspaces/{workspaceId}import requests
url = "https://api.bron.org/workspaces/{workspaceId}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.bron.org/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Bron Workspace",
"tag": "bron",
"workspaceId": "2a0f2m25qyn3cen5hj",
"icon": "emoji:🚀"
}{
"error": "bad-request",
"message": "<string>"
}{
"error": "forbidden",
"message": "<string>"
}{
"error": "conflict",
"message": "<string>"
}Get Workspace by ID
Retrieve information about workspace
API Key permissions: View only, Transaction Operator, Full AccessGET
/
workspaces
/
{workspaceId}
Get Workspace by ID
Path Parameters
Query Parameters
List of comma-separated workspace ids
Include workspace settings
Response
OK
Workspace name
Example:
"Bron Workspace"
Workspace tag
Example:
"bron"
The workspace ID
Example:
"2a0f2m25qyn3cen5hj"
Workspace icon: image path (e.g. 'workspaces/logos/abc.png') or 'emoji:' (e.g. 'emoji:🚀')
Example:
"emoji:🚀"
Was this page helpful?
